Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface LocalizedStringType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  LocalizedStringTypeImpl

    public interface LocalizedStringType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Localized String Type'.

The following features are supported:

- `Charset`
- `Lang`
- `Value`

See Also:
  `RimPackage.getLocalizedStringType()`

Method Summary
`java.lang.Object` | `getCharset()` Returns the value of the 'Charset' attribute.
`java.lang.String` | `getLang()` Returns the value of the 'Lang' attribute.
`java.lang.String` | `getValue()` Returns the value of the 'Value' attribute.
`boolean` | `isSetCharset()` Returns whether the value of the '`Charset`' attribute is set.
`boolean` | `isSetLang()` Returns whether the value of the '`Lang`' attribute is set.
`void` | `setCharset(java.lang.Object value)` Sets the value of the '`Charset`' attribute.
`void` | `setLang(java.lang.String value)` Sets the value of the '`Lang`' attribute.
`void` | `setValue(java.lang.String value)` Sets the value of the '`Value`' attribute.
`void` | `unsetCharset()` Unsets the value of the '`Charset`' attribute.
`void` | `unsetLang()` Unsets the value of the '`Lang`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCharset

    java.lang.Object getCharset()

  Returns the value of the 'Charset' attribute. The default value is `"UTF-8"`.

  If the meaning of the 'Charset' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Charset' attribute.
  See Also:
    `isSetCharset()`, `unsetCharset()`, `setCharset(Object)`, `RimPackage.getLocalizedStringType_Charset()`

### setCharset

    void setCharset(java.lang.Object value)

  Sets the value of the '`Charset`' attribute.

  Parameters:
    `value` - the new value of the 'Charset' attribute.
  See Also:
    `isSetCharset()`, `unsetCharset()`, `getCharset()`

### unsetCharset

    void unsetCharset()

  Unsets the value of the '`Charset`' attribute.

  See Also:
    `isSetCharset()`, `getCharset()`, `setCharset(Object)`

### isSetCharset

    boolean isSetCharset()

  Returns whether the value of the '`Charset`' attribute is set.

  Returns:
    whether the value of the 'Charset' attribute is set.
  See Also:
    `unsetCharset()`, `getCharset()`, `setCharset(Object)`

### getLang

    java.lang.String getLang()

  Returns the value of the 'Lang' attribute. The default value is `"en-US"`.

  If the meaning of the 'Lang' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Lang' attribute.
  See Also:
    `isSetLang()`, `unsetLang()`, `setLang(String)`, `RimPackage.getLocalizedStringType_Lang()`

### setLang

    void setLang(java.lang.String value)

  Sets the value of the '`Lang`' attribute.

  Parameters:
    `value` - the new value of the 'Lang' attribute.
  See Also:
    `isSetLang()`, `unsetLang()`, `getLang()`

### unsetLang

    void unsetLang()

  Unsets the value of the '`Lang`' attribute.

  See Also:
    `isSetLang()`, `getLang()`, `setLang(String)`

### isSetLang

    boolean isSetLang()

  Returns whether the value of the '`Lang`' attribute is set.

  Returns:
    whether the value of the 'Lang' attribute is set.
  See Also:
    `unsetLang()`, `getLang()`, `setLang(String)`

### getValue

    java.lang.String getValue()

  Returns the value of the 'Value' attribute.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(String)`, `RimPackage.getLocalizedStringType_Value()`

### setValue

    void setValue(java.lang.String value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `getValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD